---
title: DelayNode()
slug: Web/API/DelayNode/DelayNode
tags:
  - API
  - Audio
  - Constructor
  - DelayNode
  - Media
  - Reference
  - Web Audio API
---
<p>{{APIRef("Web Audio API")}}</p>

<p class="summary"><span class="seoSummary">The <strong><code>DelayNode()</code></strong> constructor of the <a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio API</a> creates a new {{domxref("DelayNode")}} object with a delay-line; an AudioNode audio-processing module that causes a delay between the arrival of an input data, and its propagation to the output.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>delayNode</var> = new DelayNode(<var>context</var>);
var <var>delayNode</var> = new DelayNode(<var>context</var>, <var>options</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<p><em>Inherits parameters from the {{domxref("AudioNodeOptions")}} dictionary.</em></p>

<dl>
 <dt><em>context</em></dt>
 <dd>A reference to an {{domxref("AudioContext")}} or {{domxref("OfflineAudioContext")}}.</dd>
 <dt><em>options</em> {{optional_inline}}</dt>
 <dd>An object specifying the delay node options. Can contain the following members:
 <ul>
  <li><code>delayTime</code>: The initial delay time for the node, in seconds. The default is <code>0</code>.</li>
  <li><code>maxDelayTime</code>: The maximum delay time for the node, in seconds. Defaults to <code>1</code>.</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("DelayNode")}} object instance.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">const audioCtx = new AudioContext();
const delayNode = new DelayNode(audioCtx, {
  delayTime: 0.5,
  maxDelayTime: 2,
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#dom-delaynode-delaynode','DelayNode()')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.DelayNode.DelayNode")}}</p>
</div>
